> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.kpi.ms/llms.txt
> Use this file to discover all available pages before exploring further.

# Verify API Key



## OpenAPI

````yaml /openapi.json get /integration/v1/client/verify
openapi: 3.1.0
info:
  title: KPI Integration API
  version: v1
servers:
  - url: https://api.kpi.ms
    description: Production
security:
  - http: []
tags:
  - name: Verify
  - name: Campaign
  - name: Job
paths:
  /integration/v1/client/verify:
    get:
      tags:
        - Verify
      summary: Verify API Key
      operationId: integration.v1.client.verify
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      verified:
                        type: boolean
                      company:
                        type: object
                        properties:
                          name:
                            type: string
                        required:
                          - name
                    required:
                      - verified
                      - company
                required:
                  - data
        '401':
          description: ''
          content:
            application/json:
              schema:
                type: object
                examples:
                  - error_code: MISSING_API_KEY
                    message: API key is required.
                  - error_code: INVALID_API_KEY
                    message: Invalid API key.
                  - error_code: API_KEY_EXPIRED
                    message: API key has expired.
                properties:
                  error_code:
                    type: string
                    examples:
                      - MISSING_API_KEY
                  message:
                    type: string
                    examples:
                      - API key is required.
                required:
                  - error_code
                  - message
        '403':
          description: ''
          content:
            application/json:
              schema:
                type: object
                examples:
                  - error_code: FORBIDDEN
                    message: You do not have access to this resource.
                  - error_code: IP_NOT_ALLOWED
                    message: Request IP is not allowed.
                  - error_code: DOMAIN_NOT_ALLOWED
                    message: Request domain/origin is not allowed.
                properties:
                  error_code:
                    type: string
                    examples:
                      - FORBIDDEN
                  message:
                    type: string
                    examples:
                      - You do not have access to this resource.
                required:
                  - error_code
                  - message
        '429':
          description: ''
          content:
            application/json:
              schema:
                type: object
                examples:
                  - error_code: RATE_LIMIT_EXCEEDED
                    message: Too many requests.
                properties:
                  error_code:
                    type: string
                    examples:
                      - RATE_LIMIT_EXCEEDED
                  message:
                    type: string
                    examples:
                      - Too many requests.
                required:
                  - error_code
                  - message
components:
  securitySchemes:
    http:
      type: http
      scheme: bearer

````